## org.eclipse.jetty.websocket
Interface WebSocketParser

All Known Implementing Classes:
  WebSocketParserD00, WebSocketParserD01

    public interface WebSocketParser

Parser the WebSocket protocol.

Nested Class Summary
`static interface` `WebSocketParser.FrameHandler`

Method Summary
`void` `fill(Buffer buffer)`
`Buffer` `getBuffer()`
`boolean` `isBufferEmpty()`
`int` `parseNext()`

Method Detail

### getBuffer

    Buffer getBuffer()

### parseNext

    int parseNext()

### isBufferEmpty

    boolean isBufferEmpty()

### fill

    void fill(Buffer buffer)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.